package com.arms.api.serverinfo.service;

import com.arms.api.serverinfo.model.dto.ServerInfoDTO;
import com.arms.api.serverinfo.model.vo.ServerInfoVO;
import com.arms.api.serverinfo.model.entity.ServerInfoEntity;

import java.util.List;
import java.util.Map;

public interface ServerInfoService {

    String getDecryptPasswordOrToken(String passwordOrToken);

    ServerInfoEntity saveOrUpdateServerInfo(ServerInfoDTO serverInfoDTO);

    void serverInfoBackup();

    void deleteServerInfo(String serverId);

    ServerInfoVO verifyServerInfo(String serverId);

    List<ServerInfoVO> serverInfoListByConnectIds(List<String> connectIds);

    Map<String, String> getServerIdToTypeMap();

}
